Vagrant.configure("2") do |config|

  config.vm.define "sc3-vm" do |srv|
    srv.vm.box = "debian/bullseye64"
    srv.ssh.insert_key = false
    srv.vm.hostname = "sc3.box"
    srv.vm.network :private_network, ip: "192.168.98.117"

    srv.vm.provider :virtualbox do |vb|
      vb.name = "sc3"
      vb.memory = 2048
      vb.cpus = 2
    end
  end

  config.vm.provision "ansible_local" do |ansible|
    ansible.install = true
    ansible.version = "latest"
    ansible.compatibility_mode = "2.0"
    ansible.playbook = "ansible/sc3.yml"
    ansible.galaxy_role_file = "requirements.yml"
    ansible.verbose = "true"
  end
end
